summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-07-19 08:23:22 +0200
committerHans de Graaff <graaff@gentoo.org>2017-07-19 08:23:22 +0200
commit979826d455e0b486922bd33377033f71435d165d (patch)
tree8f0aef78260e58247558f7f68540650168ba032f
parentdev-ruby/pry: document ruby24 status (diff)
downloadgentoo-979826d455e0b486922bd33377033f71435d165d.tar.gz
gentoo-979826d455e0b486922bd33377033f71435d165d.tar.bz2
gentoo-979826d455e0b486922bd33377033f71435d165d.zip
dev-ruby/mini_magick: add 4.8.0
Package-Manager: Portage-2.3.6, Repoman-2.3.2
-rw-r--r--dev-ruby/mini_magick/Manifest1
-rw-r--r--dev-ruby/mini_magick/mini_magick-4.8.0.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-ruby/mini_magick/Manifest b/dev-ruby/mini_magick/Manifest
index 7421a51107d..e7a786c0947 100644
--- a/dev-ruby/mini_magick/Manifest
+++ b/dev-ruby/mini_magick/Manifest
@@ -1 +1,2 @@
DIST mini_magick-4.5.1.tar.gz 1113157 SHA256 4222e9c8b84914230669e0a180a2e1d68e6c3d0d2b9e2464faf664bd545e8522 SHA512 d586f8a33e1050923311bbd26209ba01488b5249335a19898df47479e4dfca25fba33db6dd57da420e73fbc48eab27723fb4937a7a932c1b39143bfd02bea654 WHIRLPOOL 623b01092ff2e4647a318ee67025d04cdacba252dcae87139d88a1eef535262af38a80d72f08b49cf6889d0ec95a876bfd2482ef66e5b4242f92ea3075fb0705
+DIST mini_magick-4.8.0.tar.gz 1184374 SHA256 1fe7d28eeeb5242fd7d0274f796c253c734a3636216b8bfc74d01ac77ea2be09 SHA512 7c582c967480f51114c42eec2f8c260713755fa3e6078eaf5a296b0cb4502f2edd1dd65d5ef46409226943913b81e8818fc3066a09879e9da7dcb0f9f732f6d4 WHIRLPOOL ed4baf27d9ed3e97f78adb367c4878944a8438662c7f2f069eae7e0a33423427045b0fffa6560996b6e572dd6c4acd822d1a5e0aaa31093b1f645a80dce571d1
diff --git a/dev-ruby/mini_magick/mini_magick-4.8.0.ebuild b/dev-ruby/mini_magick/mini_magick-4.8.0.ebuild
new file mode 100644
index 00000000000..cb55de611fe
--- /dev/null
+++ b/dev-ruby/mini_magick/mini_magick-4.8.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="Manipulate images with minimal use of memory"
+HOMEPAGE="https://github.com/minimagick/minimagick"
+SRC_URI="https://github.com/minimagick/minimagick/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="minimagick-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+# It's only used at runtime in this case because this extension only
+# _calls_ the commands. But when we run tests we're going to need tiff
+# and jpeg support at a minimum.
+RDEPEND+=" media-gfx/imagemagick"
+DEPEND+=" test? ( virtual/imagemagick-tools[jpeg,png,tiff] )"
+
+ruby_add_bdepend "test? ( dev-ruby/mocha dev-ruby/posix-spawn dev-ruby/webmock )"
+
+all_ruby_prepare() {
+ # remove executable bit from all files
+ find "${S}" -type f -exec chmod -x {} +
+
+ sed -i -e '/\([Bb]undler\|pry\)/ s:^:#:' spec/spec_helper.rb || die
+
+ # Don't force a specific formatter but use overall Gentoo defaults.
+ sed -i -e '/config.formatter/d' spec/spec_helper.rb || die
+
+ # Avoid broken spec that does not assume . in path name
+ sed -i -e '/reformats a layer/,/end/ s:^:#:' spec/lib/mini_magick/image_spec.rb || die
+
+ # Avoid failing spec that also fails in upstream Travis
+ sed -i -e '/returns a hash of verbose information/,/^ end/ s:^:#:' spec/lib/mini_magick/image_spec.rb || die
+
+ # Make spec more lenient to imagemagick quoting
+ sed -i -e "/unable to open image/ s/'foo'/.foo./" spec/lib/mini_magick/shell_spec.rb || die
+
+ # Avoid graphicsmagick tests because installing both in parallel for
+ # tests is hard.
+ sed -i -e 's/:graphicsmagick//' spec/spec_helper.rb || die
+ sed -i -e '/identifies when gm exists/,/^ end/ s:^:#:' spec/lib/mini_magick/utilities_spec.rb || die
+ sed -i -e '/returns GraphicsMagick/,/^ end/ s:^:#:' spec/lib/mini_magick_spec.rb || die
+}